it-swarm.com.de

Eclipse startet nach der Installation von Mac OS X Yosemite nicht (Mac OS 10.10)

Nach dem Upgrade auf Mac OS Yosemite (10.10) startet mein Eclipse nicht mehr. Stattdessen bekomme ich

Die gemeinsam genutzte JVM-Bibliothek /Library/Java/JavaVirtualMachines/jdk1.8.0_05.jdk/Contents/Home/bin/../jre/lib/server/libjvm.dylib "enthält das Symbol JNI_CreateJavaVM nicht.

Ich habe Java -version geprüft und bekomme

Java version "1.8.0_05"
Java(TM) SE Runtime Environment (build 1.8.0_05-b13)
Java HotSpot(TM) 64-Bit Server VM (build 25.5-b02, mixed mode)

Ich suche und habe ein ähnliches Problem gefunden Neuinstallation von Java 7 JDK unter OSX . Es wird eine Neuinstallation von Java vorgeschlagen. Ich bin nicht sicher, ob mein Problem in die gleiche Kategorie fällt wie sein. Ist eine Neuinstallation ein guter Weg, um das Problem zu lösen? Irgendwelche anderen Ratschläge? Vielen Dank!

41
leonard

Gehen Sie zu dem Link unten und laden Sie Java für OS X 2014-001 herunter.

http://support.Apple.com/kb/DL1572?viewlocale=de_DE&locale=de_DE

Hoffentlich funktioniert es nach der Installation

58
Taseen

Probieren Sie dieses https://jdk8.Java.net/download.html Java8u20 frühes Update aus.

25

Sie können die Systemversion vorübergehend in der "SystemVersion.plist" unter System> Library> CoreServices ändern.

Bearbeiten Sie als root und ändern Sie ProductVersion in 10.7.3 (oder was auch immer für Sie funktioniert).

Java installieren.

Vergiss nicht, es wieder zu ändern.

16
Sven

Ich habe dieses Problem mit der Erstellung dieser Leergutordner als Root ohne Downgrade mit Java8 (Vers.1.8.0_60-ea) behoben.

/System/Library/Java/JavaVirtualMachines/1.6.0.jdk und /System/Library/Java/Support/Deploy.bundle

Ich hoffe es hilft...

3
Riccardo Donato

Ich habe Java JRE von Oracle installiert: http://download.Oracle.com/otn-pub/Java/jdk/8u25-b17/jre-8u25-macosx-x64.dmg

Installieren Sie dann das Apple-Paket: http://support.Apple.com/kb/DL1572?viewlocale=de_DE&locale=de_DE

Ich konnte Eclipse-ide aus einem Fass für hausgemachte Bräute installieren

brühbehälter installieren Eclipse-ide Eclipse-Java

(Bitte beachten Sie, dass der Brühbehälter unter ~/Applications nicht/Applications installiert wird.)

Normalerweise verwende ich Eclipse normalerweise nicht, aber ich konnte das IDE auf die Beine stellen. Ich werde feststellen, dass Java in der Befehlszeile defekt ist, was in Yosimite neu ist.

Bitte lassen Sie mich wissen, wenn das nicht funktioniert. Oder wenn Sie Hilfe bei Homebrew oder Cask brauchen

1
Mutant

Stellen Sie sicher, dass Sie die 64-Bit-Version von Mac Eclipse verwenden. Ich habe gerade versucht, es funktioniert einwandfrei

0
Fouad J.

Zwei Fälle:

  1. wenn Sie bereits Java 8 und Eclipse Luna installiert haben, z. auf Mavericks und (Absicht) auf Yosemite zu aktualisieren: einfach aktualisieren, es wird gut funktionieren.

  2. wenn Sie kein Java installiert haben und Eclipse unter Yosemite ausführen möchten: 

Das heißt, wenn Sie Eclipse Luna und Java 8 verwenden möchten, installieren Sie es, während Sie Mavericks ausführen, und aktualisieren Sie dann auf Yosemite. Versuchen Sie nicht, Java 8 auf Yosemite zu installieren, da dies im Moment nicht funktioniert.

Was auf meinem Mac nicht funktioniert, ist: Installieren von Java 6 und Ausführen von Eclipse Luna, da hierfür Java 7 oder 8 erforderlich ist. Die Installation von Java 7 oder 8 löst das Problem nicht, da etwas mit dem Installationsprogramm fehlerhaft erscheint. Sollte jedoch in einigen Tagen von Oracle gelöst werden.

0
incredion

Nach dem Upgrade auf Yosemite ist Java 6 jdk nicht mehr verfügbar. Denken Sie daran, dass jdk 6 für Mac osx eine 32-Bit-Anwendung ist. Ältere Eclipse-Versionen benötigen einen 32-Bit-Jvm, um ordnungsgemäß ausgeführt zu werden. Eine 32-Bit-Anwendung kann nicht ausgeführt werden Ein 64-Bit-JVM wie Java 7 oder 8, Sie müssen jdk 6 installieren, um die Java-Anwendungen auszuführen, die eine virtuelle 32-Bit-Maschine benötigen. Wie bereits hier beschrieben, können Sie jdk 6 von http://support.Apple.com/kb/DL1572?viewlocale=de_DE&locale=de_DE herunterladen.

0
Jonnathan Q